/*
 * IJA: Ukazka zneuziti vyjimky.
 */

package ija.exception;

/**
 * Ukazka zneuziti vyjimky.
 * @author Radek Koci
 */
public class ExceptionDemo1 {
    protected final int length = 1;
    protected int[] a = new int[length];

    public static void main(String[] argv) {
    	new ExceptionDemo1().test();
    }

    public void test() {
        long t1 = System.currentTimeMillis();
        for(int i=0; i<=1000000; i++) m1();
//        m1();
        long t2 = System.currentTimeMillis();
        System.out.println(t2-t1);

        t1 = System.currentTimeMillis();
        for(int i=0; i<=1000000; i++) m2();
//        m2();
        t2 = System.currentTimeMillis();
        System.out.println(t2-t1);
    }

    // Ukazka zneuziti vyjimky
    public void m1() {
    	try
        {
            int i = 0;
            while(true) {
            a[i++] = i;
            }
        } catch (ArrayIndexOutOfBoundsException e) {}
    }

    // Takto je to spravne
    public void m2() {
    	for(int i=0; i<length; ) {
            a[i++] = i;
        }
    }
}
